Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[aarch64 / emerge] missing keyword ? (résolu)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Skwal
n00b
n00b


Joined: 07 Jun 2019
Posts: 73

PostPosted: Fri Nov 01, 2019 8:11 am    Post subject: [aarch64 / emerge] missing keyword ? (résolu) Reply with quote

Bonjour :)

Je suis actuellement en train de préparer un serveur web complet (bind,ftp,www,postfix,roundcube...) sur un Raspberry pi 4 (4g).
J'en suis actuellement à l'installation du serveur web, MariaDB est installé/configuré, Bind répond parfaitement bien (semble-t-il...), Nginx répond très bien malgré un paramétrage actuellement hasardeux et là j'en suis à phpmyadmin qui lui ne veut pas s'installer !

Le "problème" vient d'emerge/eix, quand je recherche le paquet j'ai le droit à cette réponse:

eix phpmyadmin:
Quote:
* dev-db/phpmyadmin
Available versions:
(4.8.5) *4.8.5
(4.9.0.1) *4.9.0.1
(4.9.1) ~*4.9.1
{setup vhosts}
Homepage: https://www.phpmyadmin.net/
Description: Web-based administration for MySQL database in PHP


Mais quand j'essaie de l'installer:
Quote:
These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "phpmyadmin" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-db/phpmyadmin-4.9.1::gentoo (masked by: missing keyword)
- dev-db/phpmyadmin-4.9.0.1::gentoo (masked by: missing keyword)
- dev-db/phpmyadmin-4.8.5::gentoo (masked by: missing keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Je note le "missing keyword" mais je ne sais pas comment l'interpréter... D'après ce que j'ai lu le paquet n'existe pas encore en version arm64, du moins sur la branche testing.
Mon profil: [1] default/linux/arm64/17.0 (stable) *

/etc/portage/make.conf:
Quote:
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CHOST="aarch64-unknown-linux-gnu"
#CFLAGS="-march=armv8-a+crc -mtune=cortex-a53 -O2 -pipe"
#CXXFLAGS="${CFLAGS}"

COMMON_FLAGS="-march=armv8-a+crc -mtune=cortex-a53 -O2 -pipe"
#COMMON_FLAGS="-O2 -pipe"
CFLAGS="${COMMON_FLAGS}"
CXXFLAGS="${COMMON_FLAGS}"
FCFLAGS="${COMMON_FLAGS}"
FFLAGS="${COMMON_FLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult https://wiki.gentoo.org/wiki/Changing_the_CHOST_variable before changing.
#CHOST="aarch64-unknown-linux-gnu"

# NOTE: This stage was built with the bindist Use flag enabled
PORTDIR="/usr/portage"
DISTDIR="/usr/portage/distfiles"
PKGDIR="/usr/portage/packages"
L10N="fr"
USE=" acl python openssl gnutls perl vhosts ipv6 clamav"
RUBY_TARGETS="ruby24 ruby25 ruby26"
EMERGE_DEFAULT_OPTS="${EMERGE_DEFAULT_OPTS} --quiet-build=y --with-bdeps=y"
AUTOCLEAN="yes"
PHP_TARGETS="php7-3 php7-2"
MAKEOPTS="-j5 -l5"
NGINX_MODULES_HTTP="access auth_basic autoindex fastcgi browser charset gzip proxy referer rewrite spdy stub_status upstream upstream_check"
ACCEPT_LICENSE="*"
# This sets the language of build output to English.
# Please keep this setting intact when reporting bugs.
LC_MESSAGES=C
L10N="fr"
ACCEPT_KEYWORDS="arm64 ~arm64"
PYTHON_TARGETS="python2_7 python3_5 python3_6"
PYTHON_SINGLE_TARGET="python2_7"


Que me conseilleriez-vous s'il vous plait; le démasquer, l'installer à partir des sources du site, abandonner car trop dangereux, trouver une alternative... ?
Et puis, est-ce que je comprend bien le contexte ?

En espérant que vous puissiez m'aider, je vous remercie pour votre attention.

Cordialement, Skwal.


Last edited by Skwal on Sat Nov 02, 2019 9:59 am; edited 1 time in total
Back to top
View user's profile Send private message
YetiBarBar
Guru
Guru


Joined: 23 Dec 2005
Posts: 504

PostPosted: Fri Nov 01, 2019 8:50 am    Post subject: Reply with quote

Bonjour,

Tous les ebuilds pour phpmyadmin n'ont pas le keyword arm64. En revanche, ils sont dispo sous ~arm.

Je ne connais pas "phpmyadmin", pour moi, c'est juste une IHM de gestion de db mysql, un peu comme mysql-workbench.

Il doit surement avoir moyen de dire à phpmyadmin d'administrer la base sur une cible réseau (du genre IP de ta raspberry, port 3306) et d'exécuter phpmyadmin uniquement sur un poste x86.

EDIT: en cherchant vite fait sur google: http://www.danielmois.com/article/Manage_remote_databases_from_localhost_with_phpMyAdmin
Back to top
View user's profile Send private message
Skwal
n00b
n00b


Joined: 07 Jun 2019
Posts: 73

PostPosted: Fri Nov 01, 2019 1:51 pm    Post subject: Reply with quote

Bonjour YetiBarBar,

Merci pour ta rapide réponse, tu apportes une alternative viable: je peux installer phpmyadmin sur mon pc de bureau pour gérer les bases de données du serveur, je n'y avait pas pensé... :roll:
Mais est-il possible de l'installer quand même sur le serveur via les sources ou vaut-il mieux abandonner une solution serveur ?

Merci ! :mrgreen:
Back to top
View user's profile Send private message
El_Goretto
Moderator
Moderator


Joined: 29 May 2004
Posts: 3106
Location: Paris

PostPosted: Fri Nov 01, 2019 10:31 pm    Post subject: Reply with quote

Franchement, comme déjà proposé, utilise mysql-workbench sur une machine externe. Installer une stack web complète pour juste phpmyadmin, c'est un non sens complet. Il faut brûler ce soft.
_________________
-Gentoo hardened [EoL]: µ-serv Gen8 G1610T, 8Go ECC ; NF9D-2700, 4Go
-FreeBSD 11/Vimage/Jails: DS61, i3 2100T, 16Go ; FreeNAS: µ-serv N40L, 8Go ECC
-Réseau: ERL-3 + ESL-24 + GS108Tv2
-NAS: RN312
Back to top
View user's profile Send private message
Skwal
n00b
n00b


Joined: 07 Jun 2019
Posts: 73

PostPosted: Sat Nov 02, 2019 9:59 am    Post subject: Reply with quote

Bonjour :)

Quote:
Installer une stack web complète pour juste phpmyadmin, c'est un non sens complet. Il faut brûler ce soft


Expliqué comme ça ça fait réfléchir... Je ne savais pas que phpmyadmin était une aberration, du coup je regarde du côté de mysql-workbench.
Encore merci !
:wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum